Bug 1375933 - no tab completion in nmcli after ifname
Summary: no tab completion in nmcli after ifname
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Lubomir Rintel
QA Contact: Desktop QE
URL:
Whiteboard:
: 1376227 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-14 09:25 UTC by Vladimir Benes
Modified: 2016-11-03 19:30 UTC (History)
12 users (show)

Fixed In Version: NetworkManager-1.4.0-9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 19:30:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Vladimir Benes 2016-09-14 09:25:59 UTC
Description of problem:
you have to use nmcli d or remember weird device names before creating connection over nmlci as it doesn't auto complete devices after ifname anymore 

Version-Release number of selected component (if applicable):
NetworkManager-1.4.0-7.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.nmcli  connection add type ethernet ifname
2. hit tab several times

Actual results:
nothing

Expected results:
devices should be shown

Additional info:
this worked in 7.2

Comment 1 Rashid Khan 2016-09-14 13:48:33 UTC
Hi Vlad
This got an automatic blocker? 
Do you mean to block the release because of this? 
Can we take care of this in z-stream for you? 


If you agree this should not delay the GA of 7.3, then can you please give blocker-

Thanks

Comment 3 Blueowl 2016-09-15 08:23:35 UTC
I have pushed a fix to upstream branch jk/nmcli-complete-regression-rh1375933.

Comment 4 Beniamino Galvani 2016-09-15 08:45:54 UTC
*** Bug 1376227 has been marked as a duplicate of this bug. ***

Comment 5 Beniamino Galvani 2016-09-15 09:00:48 UTC
(In reply to Blueowl from comment #3)
> I have pushed a fix to upstream branch
> jk/nmcli-complete-regression-rh1375933.

> cli: enable bash completion for some more properties of add/modify

»       }·else·if·(···strcmp·(setting_name,·NM_SETTING_VXLAN_SETTING_NAME)·==·0
»       ·········&&·strcmp·(property,·NM_SETTING_VXLAN_PARENT)·==·0)

Nitpick: alignment.

LGTM.

Comment 6 Lubomir Rintel 2016-09-15 12:35:32 UTC
looks fine to me too

Comment 7 Francesco Giudici 2016-09-19 11:05:41 UTC
lgtm

Comment 8 Beniamino Galvani 2016-09-19 15:28:24 UTC
(In reply to Blueowl from comment #3)
> I have pushed a fix to upstream branch
> jk/nmcli-complete-regression-rh1375933.

Merged to master:

https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=a87560335562f424bfc1f79095fb2982d5087cfd

and nm-1-4:

https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?h=nm-1-4&id=6f3921c8f8609e2778109e91584695631f786cc0

Thanks!

Comment 10 Vladimir Benes 2016-09-19 20:47:40 UTC
This works well now. Thanks Jirka!

Comment 12 errata-xmlrpc 2016-11-03 19:30:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.